Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421110 - qpid-qmf: FTBFS against GCC 7 in Fedora Rawhide
Summary: qpid-qmf: FTBFS against GCC 7 in Fedora Rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-qmf
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Irina Boverman
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
: 1424226 (view as bug list)
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-10 11:29 UTC by Jitka Plesnikova
Modified: 2018-05-29 12:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:39:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Jitka Plesnikova 2017-02-10 11:29:51 UTC
Description of problem:
Package qpid-qmf fails to build from source against GCC 7 in Fedora Rawhide.

Version-Release number of selected component (if applicable):
1.35.0-3.fc26

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/qpid-qmf

Dependency changes since last successful build:
 	libgcc 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26
	libquadmath-devel 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26
	libstdc++ 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26
	gcc 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26
	libquadmath 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26
	cpp 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26
	libgomp 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26
	kernel-headers 	4.10.0-0.rc5.git3.1.... 	> 	4.10.0-0.rc5.git4.2....
	libtool-ltdl 	2.4.6-13.fc26 	> 	2.4.6-15.fc26
	libstdc++-devel 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26
	gcc-c++ 	6.3.1-2.fc26 	> 	7.0.1-0.2.fc26


Build fails with following error:
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp: In function 'qpid::types::Variant qpid::amqp_0_10::toVariant(boost::shared_ptr<qpid::framing::FieldValue>)':
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:106:33: error: this statement may fall through [-Werror=implicit-fallthrough=]
       case 0x00: out.setEncoding(amqp0_10_binary);
                  ~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:107:7: note: here
       case 0x01: out = in->getIntegerValue<int8_t>(); break;
       ^~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:111:33: error: this statement may fall through [-Werror=implicit-fallthrough=]
       case 0x10: out.setEncoding(amqp0_10_binary);
                  ~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:112:7: note: here
       case 0x11: out = in->getIntegerValue<int16_t, 2>(); break;
       ^~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:114:33: error: this statement may fall through [-Werror=implicit-fallthrough=]
       case 0x20: out.setEncoding(amqp0_10_binary);
                  ~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:115:7: note: here
       case 0x21: out = in->getIntegerValue<int32_t, 4>(); break;
       ^~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:119:33: error: this statement may fall through [-Werror=implicit-fallthrough=]
       case 0x30: out.setEncoding(amqp0_10_binary);
                  ~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:120:7: note: here
       case 0x31: out = in->getIntegerValue<int64_t, 8>(); break;
       ^~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:121:33: error: this statement may fall through [-Werror=implicit-fallthrough=]
       case 0x38: out.setEncoding(amqp0_10_datetime); //treat datetime as uint64_t, but set encoding
                  ~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~
/builddir/build/BUILD/qpid/qpid-cpp-1.35.0/src/qpid/amqp_0_10/Codecs.cpp:122:7: note: here
       case 0x32: out = in->getIntegerValue<uint64_t, 8>(); break;
       ^~~~

Comment 1 Jitka Plesnikova 2017-02-16 07:46:56 UTC
Adding `-Wno-implicit-fallthrough` to the CMAKE_CXX_FLAGS fixes the build issue.

Comment 2 Jitka Plesnikova 2017-02-22 08:05:21 UTC
*** Bug 1424226 has been marked as a duplicate of this bug. ***

Comment 3 Fedora End Of Life 2017-02-28 11:14:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Jitka Plesnikova 2017-03-20 11:39:15 UTC
The package was retired in git repo. 

$ cat dead.package
It is included in qpid-cpp now


However, it was not marked as retired for 'Fedora devel' in pkgdb. See:

https://admin.fedoraproject.org/pkgdb/package/rpms/qpid-qmf/

It should be updated.

Comment 5 Irina Boverman 2017-03-20 13:33:00 UTC
"fedpkg retire" FAILED to update pkgdb.

Comment 6 Irina Boverman 2017-03-20 13:44:28 UTC
fedpkg retire "Now included in qpid-cpp"
dead.package found, package probably already retired - will not remove files from git or overwrite existing dead.package file
Enter passphrase for key '/home/irina/.ssh/id_rsa': 
Everything up-to-date
FAS password for user irina: 
Could not execute retire: ServerError(https://admin.fedoraproject.org/pkgdb/api/package/retire/, 200, Error returned from json module while processing https://admin.fedoraproject.org/pkgdb/api/package/retire/: No JSON object could be decoded

<html>
<head>
  <title>OpenID transaction in progress</title>
</head>
<body onload="document.forms[0].submit();">
<form id="openid_message" action="https://id.fedoraproject.org/openid/" method="post" accept-charset="UTF-8" enctype="application/x-www-form-urlencoded"><input name="openid.ax.count.ext0" type="hidden" value="unlimited"/><input name="openid.ax.if_available" type="hidden" value="ext0,ext1"/><input name="openid.mode" type="hidden" value="checkid_setup"/><input name="openid.ns.pape" type="hidden" value="http://specs.openid.net/extensions/pape/1.0"/><input name="openid.ns" type="hidden" value="http://specs.openid.net/auth/2.0"/><input name="openid.realm" type="hidden" value="https://admin.fedoraproject.org/pkgdb/"/><input name="openid.sreg.required" type="hidden" value="nickname,fullname,email,timezone"/><input name="openid.lp.query_membership" type="hidden" value="qa-tools-sig,kde-sig,virtmaint-sig,robotics-sig,rpm-software-management-sig,python-sig,infra-sig,eclipse-sig,gnome-sig,rust-sig,neuro-sig,lxqt-sig,nodejs-sig,sysadmin-main,cvsadmin,packager"/><input name="openid.return_to" type="hidden" value="https://admin.fedoraproject.org/pkgdb/_flask_fas_openid_handler/?janrain_nonce=2017-03-20T13%3A43%3A22ZE4gQHD"/><input name="openid.ax.mode" type="hidden" value="fetch_request"/><input name="openid.ns.cla" type="hidden" value="http://fedoraproject.org/specs/open_id/cla"/><input name="openid.ax.type.ext0" type="hidden" value="http://fedoauth.org/openid/schema/SSH/key"/><input name="openid.ns.sreg" type="hidden" value="http://openid.net/extensions/sreg/1.1"/><input name="openid.ns.ax" type="hidden" value="http://openid.net/srv/ax/1.0"/><input name="openid.pape.preferred_auth_policies" type="hidden" value=""/><input name="openid.identity" type="hidden" value="http://specs.openid.net/auth/2.0/identifier_select"/><input name="openid.cla.query_cla" type="hidden" value="http://admin.fedoraproject.org/accounts/cla/done"/><input name="openid.claimed_id" type="hidden" value="http://specs.openid.net/auth/2.0/identifier_select"/><input name="openid.ns.lp" type="hidden" value="http://ns.launchpad.net/2007/openid-teams"/><input name="openid.ax.type.ext1" type="hidden" value="http://fedoauth.org/openid/schema/GPG/keyid"/><input type="submit" value="Continue"/></form>
<script>
var elements = document.forms[0].elements;
for (var i = 0; i < elements.length; i++) {
  elements[i].style.display = "none";
}
</script>
</body>
</html>
)

And:

pkgdb-cli orphan --retire qpid-qmf master
No `dead.package` for qpid-qmf on master, please use `fedpkg retire`

Comment 7 Fedora End Of Life 2018-05-03 08:03:04 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 12:39:20 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.